# -*- coding: utf-8 -*-

import _common

class Season(object):

    def __init__(self):
        self.apis = [
            {
                'name': 'info',
                'desc': '获取赛季信息',
                'group': 'Season',
                'url': 'webapp/index.php?c=Season&a=info',
                'params': [
                    _common.ReqHead(),
                ],
                'response': [
                    _common.RspHead(),
                    ['info', _common.Season(), '赛季信息'],
                ]
            },
            {
                'name': 'getMissionReward',
                'desc': '获取赛季任务奖励',
                'group': 'Season',
                'url': 'webapp/index.php?c=Season&a=getMissionReward',
                'params': [
                    _common.ReqHead(),
                ],
                'response': [
                    _common.RspHead(),
                    ['award', _common.Award(), '奖励信息'],
                    ['property_chg', _common.PropertyChg(), '属性变更'],
                ]
            },
        ]
