<?php

namespace mt;

use phpcommon;

class RankReward {

    public static function get($id)
    {
        return array_key_exists($id, self::getMetaList()) ? self::getMetaList()[$id] : null;
    }

    public static function getOldRankReward($id)
    {
        $meta = self::get($id);
        return array(
            'rank' => $meta['rank'],
            'parameter' => $meta['parameter'],
            'drop' => $meta['drop'],
            'ad_drop' => $meta['ad_drop'],
            'ad_num' => $meta['ad_num'],
            'js_num' => $meta['js_num'],
            'js_drop' => $meta['js_drop'],
            'zbmode_param' => $meta['zbmode_param'],
        );
    }

    protected static function getMetaList()
    {
        if (!self::$metaList) {
            self::$metaList = getMetaTable('rankReward@rankReward.php');
        }
        return self::$metaList;
    }

    protected static $metaList;

}
